function main(self)
	if self.State == 0 then
		self.AttackRect = {-18,-18,18,18}
		self.AttackTypeFlags = ObjectType.Player
		if self.Points == 0 then
			self.Points = 5
		end
		self:CreateGlitter()
		self.State = 5
	end
end

function attack(self)
	local claw = GetClaw()
	if claw.Health < 100 and claw.Health > 0 then
		local newHealth = claw.Health + self.Points
		claw.Health = newHealth > 100 and 100 or newHealth
		PlaySound("GAME_FOODITEM")
		self:DestroyGlitter()
		self:Destroy()
	end
end
